%define	name	turba
%define	version	1.2.1
%define	release	1mdk
%define order	72
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}
%define build_safemode	0
%{expand: %{?_without_safemode:        %%define build_safemode 0}}
%{expand: %{?_with_safemode:           %%define build_safemode 1}}

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:	The Horde contact management application.
License:	LGPL
Group:		System/Servers
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-mdk.conf.bz2
Patch0:		%{name}-1.1-config-imp.patch.bz2
Patch1:		%{name}-1.2-config-sources.patch.bz2
Patch2:		%{name}-1.2-safemode.patch.bz2
URL:		http://www.horde.org/turba/
Requires:	horde >= 2.2.1
Requires:	mod_php >= 4.3.0
Requires:	php-common >= 430
Requires:	php-xml >= 4.3.0
Requires:	php-domxml >= 4.3.0
Requires:	php-pear >= 4.3.0
Requires:	php-pear-Log >= 4.3.0
Requires:	php-pear-Mail_Mime >= 4.3.0
Requires:	php-pear-Net_Socket >= 4.3.0
Provides:	ADVXpackage
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Turba is the Horde contact management application, which allows access
to and storage of personal contacts (including name, email address,
phone number, and other easily customizable fields).  Turba integrates
with IMP (Horde's webmail application) as its address book.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Turba)
please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0
#%patch1 -p1
%if %build_safemode
    %patch2 -p1
%endif

%build

%install
rm -rf $RPM_BUILD_ROOT

# apache configuration
%ADVXinstconf %{SOURCE1} %{order}_%{name}.conf

# install files
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}
cp -pR * $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}

# post-install cleanup
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/COPYING
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/README
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/docs
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/po

# activate configuration files
for file in $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/config/*.dist; do
	mv $file ${file%.dist}
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc README COPYING docs
# Apache configuration file
%config(noreplace) %{ap_confd}/%{order}_%{name}.conf
# top level dir and files
%dir %{ap_htdocsdir}/horde/%{name}
%{ap_htdocsdir}/horde/%{name}/*.php
# standard dirs
%{ap_htdocsdir}/horde/%{name}/graphics
%{ap_htdocsdir}/horde/%{name}/lib
%{ap_htdocsdir}/horde/%{name}/scripts
%{ap_htdocsdir}/horde/%{name}/templates
# config files
%dir %{ap_htdocsdir}/horde/%{name}/config
%{ap_htdocsdir}/horde/%{name}/config/.htaccess
%config(noreplace) %{ap_htdocsdir}/horde/%{name}/config/*.php
# localisation files
%dir %{ap_htdocsdir}/horde/%{name}/locale
%{ap_htdocsdir}/horde/%{name}/locale/.htaccess
%lang(ar_SY) %{ap_htdocsdir}/horde/%{name}/locale/ar_SY
%lang(bg_BG) %{ap_htdocsdir}/horde/%{name}/locale/bg_BG
%lang(ca_ES) %{ap_htdocsdir}/horde/%{name}/locale/ca_ES
%lang(cs_CZ) %{ap_htdocsdir}/horde/%{name}/locale/cs_CZ
%lang(da_DK) %{ap_htdocsdir}/horde/%{name}/locale/da_DK
%lang(de_DE) %{ap_htdocsdir}/horde/%{name}/locale/de_DE
%lang(el_GR) %{ap_htdocsdir}/horde/%{name}/locale/el_GR
%lang(en_US) %{ap_htdocsdir}/horde/%{name}/locale/en_US
%lang(es_ES) %{ap_htdocsdir}/horde/%{name}/locale/es_ES
%lang(et_EE) %{ap_htdocsdir}/horde/%{name}/locale/et_EE
%lang(fi_FI) %{ap_htdocsdir}/horde/%{name}/locale/fi_FI
%lang(fr_FR) %{ap_htdocsdir}/horde/%{name}/locale/fr_FR
%lang(hu_HU) %{ap_htdocsdir}/horde/%{name}/locale/hu_HU
%lang(it_IT) %{ap_htdocsdir}/horde/%{name}/locale/it_IT
%lang(ja_JP) %{ap_htdocsdir}/horde/%{name}/locale/ja_JP
%lang(ko_KR) %{ap_htdocsdir}/horde/%{name}/locale/ko_KR
%lang(lt_LT) %{ap_htdocsdir}/horde/%{name}/locale/lt_LT
%lang(lv_LV) %{ap_htdocsdir}/horde/%{name}/locale/lv_LV
%lang(mk_MK) %{ap_htdocsdir}/horde/%{name}/locale/mk_MK
%lang(nb_NO) %{ap_htdocsdir}/horde/%{name}/locale/nb_NO
%lang(nl_NL) %{ap_htdocsdir}/horde/%{name}/locale/nl_NL
%lang(nn_NO) %{ap_htdocsdir}/horde/%{name}/locale/nn_NO
%lang(pl_PL) %{ap_htdocsdir}/horde/%{name}/locale/pl_PL
%lang(pt_BR) %{ap_htdocsdir}/horde/%{name}/locale/pt_BR
%lang(pt_PT) %{ap_htdocsdir}/horde/%{name}/locale/pt_PT
%lang(ro_RO) %{ap_htdocsdir}/horde/%{name}/locale/ro_RO
%lang(ru_RU) %{ap_htdocsdir}/horde/%{name}/locale/ru_RU
%lang(ru_RU.KOI8-R) %{ap_htdocsdir}/horde/%{name}/locale/ru_RU.KOI8-R
%lang(sk_SK) %{ap_htdocsdir}/horde/%{name}/locale/sk_SK
%lang(sl_SI) %{ap_htdocsdir}/horde/%{name}/locale/sl_SI
%lang(sv_SE) %{ap_htdocsdir}/horde/%{name}/locale/sv_SE
%lang(uk_UA) %{ap_htdocsdir}/horde/%{name}/locale/uk_UA
%lang(zh_CN) %{ap_htdocsdir}/horde/%{name}/locale/zh_CN
%lang(zh_TW) %{ap_htdocsdir}/horde/%{name}/locale/zh_TW

%changelog
* Sat Sep 20 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2.1-1mdk
- 1.2.1
- suspend patch 1, doesn't match anymore

* Tue Sep 09 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2-3mdk
- requires horde, not horde2
- changed order to 72, as all other horde apps
- standard perms and ownership for config files, access is already denied

* Mon Sep 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2-2mdk
- speac cleanup
- remove useless files from webroot (.dist, doc files, .po)
- properly tag localisation files
- drop apache1 integration
- fixed URL
- removed implicit dependencies

* Fri Jun 27 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2-1mdk
- Release 1.2.
- Rebuild Patch2.

* Sun Feb 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1-3mdk
- new macros from ADVX-build

* Tue Jul 02 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.1-2mdk
- spec cleanup
- removed circular requires on imp3
- removed redundant requires on apache

* Wed Jun 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- updated by David Walser <luigiwalser@yahoo.com> :
	- 1.1 final
	- Regenerate ldap patch

* Sat Mar 18 2002 David Walser <luigiwalser@yahoo.com> 1.1-0.2mdk
- Add patch1 (ldap sources)

* Sat Mar 18 2002 David Walser <luigiwalser@yahoo.com> 1.1-0.1mdk
- Regenerate patch

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-3mdk
- s/Copyright/License/.

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-2mdk
- fixed BuildRequires for horde2 and imp3.

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-1mdk
- initial mandrake release.
- added imp in config.

* Wed Jan 02 2002 Brent J. Nordquist <bjn@horde.org>
- 1.0 release 1

* Mon Dec 24 2001 Brent J. Nordquist <bjn@horde.org>
- 1.0-RC4 release 1

* Sun Dec 16 2001 Brent J. Nordquist <bjn@horde.org>
- initial RPM for Turba 1.0
